/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("net.jazz.ajax.ui.internal.Menu");

dojo.require("net.jazz.ajax.ui.internal.HoverPopup");

(function() {

dojo.declare("net.jazz.ajax.ui.internal.Menu", net.jazz.ajax.ui.internal.HoverPopup, {
	isMenu: true,

	open: function() {
		if (this.preDisplayCheck && !this.preDisplayCheck())
			return;
		this.inherited(arguments);
		// on open, wire listeners to the current connectNode
		this.events = [];
		dojo.forEach(["onMouseOut", "onBlur", "onUnHover"], function(event){
			this.events.push(this.connect(this._connectNode, event.toLowerCase(), "_"+event));
		}, this);
	},
	
	close: function() {
		this.inherited(arguments);
		if (this.events && this.events.length)
			for (var i = 0; i < this.events.length; i++)
				this.disconnect(this.events[i]);
		delete this.events;
	}
});

})();
